package oop09;
import java.awt.EventQueue;
import javax.swing.*;

public class WindowEventTestV2 {
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
		    public void run() {
			CaptureWindowEventsFrameV2 frame = 
			new CaptureWindowEventsFrameV2();
		    	frame.setVisible(true);
		    }
		});
	}
}
//continues in the next slide.
class CaptureWindowEventsFrameV2 extends JFrame {
	private static final long serialVersionUID = 1L;
	public static final int DEFAULT_WIDTH = 300;
	public static final int DEFAULT_HEIGHT = 200;  
	public CaptureWindowEventsFrameV2(){
		setTitle("CaptureWindowEventsTest");
		setSize(DEFAULT_WIDTH, DEFAULT_HEIGHT);
		addWindowListener( new MyWindowAdapter( ) );
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	}
}


