package oop11;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class UIElements01_TextField_Label extends JFrame {
	private static final long serialVersionUID = 1L;
	public static final int DEFAULT_WIDTH = 400;
	public static final int DEFAULT_HEIGHT = 200;  

	public static void main(String[] args)
	{  
	      EventQueue.invokeLater(new Runnable() {
	          public void run() {
	        	 UIElements01_TextField_Label frame = new UIElements01_TextField_Label();
	             frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	             frame.setVisible(true);
	          }
	       });
	}
	
	public UIElements01_TextField_Label( ) {
		setTitle("TextField_Label_Test");
		setSize(DEFAULT_WIDTH, DEFAULT_HEIGHT);
		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize(); 
		setLocation(screenSize.width/10,screenSize.height/10);
		AnaPanel panel = new AnaPanel();
		add(panel);
	}

	class AnaPanel extends JPanel {
		private static final long serialVersionUID = 1L;
		private JTextField TFsol; 
		private JTextField TFsag;
		private JLabel Lsol;
		private JLabel Lsag;
		private JButton Bswap;
		
		public AnaPanel() {
			/* JTextField( int cols ); 
			 * 	Karakter cinsinden genilik. 
			 * 	Pek gvenilmiyor, eksik/fazla geliyor.
			 * JTextField( String text, int cols );
			 * */
			TFsol = new JTextField("Sol",10);
			TFsag = new JTextField(10);
			
			/* JLabel( String text );
			 * JLabel( Icon icon );
			 * JLabel( String text, int align );
			 * 	align: JLabel.LEFT, JLabel.RIGHT, JLabel.CENTER
			 * JLabel( String text, Icon icon, int align );
			 * */
			Lsol = new JLabel("Sol:");
			Lsag = new JLabel("Sa:",JLabel.RIGHT);
			
			/*JLabel iin varsaylan zellikler: 
			 * SansSerif, bold, 12 */
			Lsol.setFont( new Font("Serif",Font.BOLD,12) );
			Lsag.setFont( new Font("Monospaced",Font.ITALIC,12) );
			
			Bswap = new JButton("Deitir!");
			
			//JTextComponent.setEditable( boolean isEditable );
			TFsag.setEditable(false);
			//TFsag.setEnabled(false);
			
			add(Lsol);
			add(TFsol);
			add(Bswap);
			add(Lsag);
			add(TFsag);
			
			SwapAction action = new SwapAction();
			Bswap.addActionListener(action);
		}
		
		private class SwapAction implements ActionListener {
			public void actionPerformed(ActionEvent event) {  
				String StrTmp;
				StrTmp = TFsol.getText();
				TFsol.setText( TFsag.getText() );
				TFsag.setText(StrTmp);
			}

		}
		
	}
}

