package oop11;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class UIElements05_ComboBox_Alt2 extends JFrame {
	private static final long serialVersionUID = 1L;
	public static final int DEFAULT_WIDTH = 400;
	public static final int DEFAULT_HEIGHT = 200;  
	private JComboBox<String> faceCombo;
	private JLabel label;
	private static final int DEFAULT_SIZE = 12;

	public static void main(String[] args) {
	      EventQueue.invokeLater(new Runnable() {
	          public void run() {
	        	  UIElements05_ComboBox_Alt2 frame = new UIElements05_ComboBox_Alt2();
	             frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	             frame.setVisible(true);
	          }
	       });
	}

	public UIElements05_ComboBox_Alt2() {
		setTitle("ComboBoxTestV2");
		setSize(DEFAULT_WIDTH, DEFAULT_HEIGHT);
		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize(); 
		setLocation(screenSize.width/10,screenSize.height/10);
		
		label = new JLabel("The quick brown fox jumps over the lazy dog.");
		label.setFont(new Font("Serif", Font.PLAIN, DEFAULT_SIZE));
		add(label, BorderLayout.CENTER);
		
		/* Adm 1: Bo JComboBox olutur. */
		faceCombo = new JComboBox<String>();
		faceCombo.setEditable(true);
		/* Adm 2: DefaultComboBoxModel olutur. */
		DefaultComboBoxModel<String> model = 
				new DefaultComboBoxModel<String>();
		/* Adm 3: Model'e elemanlar ekle */
		model.addElement("Serif");
		model.addElement("SansSerif");
		model.addElement("Monospaced");
		model.addElement("Dialog");
		/* Adm 4: ComboBox'a modeli ata. */
		faceCombo.setModel(model);
		
		faceCombo.addActionListener(new	ActionListener() {
			public void actionPerformed(ActionEvent event) {
				label.setFont(new Font(
						faceCombo.getItemAt(faceCombo.getSelectedIndex()), 
						Font.PLAIN, DEFAULT_SIZE));
			}
		});
		JPanel comboPanel = new JPanel();
		comboPanel.add(faceCombo);
		add(comboPanel, BorderLayout.SOUTH);
	}
}
